[tox]
# Make it so that setup.py is not required.
skipsdist = True
envlist = lint

[testenv]
deps = -r{toxinidir}/requirements.txt

[testenv:lint]
deps = -r{toxinidir}/lint-requirements.txt
basepython = python3
commands = black --check --diff .
    flake8

[testenv:smoketest]
commands = python pvc-cleaner.py --help

[flake8]
extend-ignore = E501
